public static final class CreateHostAvailabilityRequest.TaskOption.Builder extends Object
public CreateHostAvailabilityRequest.TaskOption.Builder httpHeader(String httpHeader)
The header of the HTTP request. Format: Parameter name:Parameter value. Separate multiple parameters with carriage return characters. Example:
params1:value1
params2:value2
example:
token:testTokenValue
public CreateHostAvailabilityRequest.TaskOption.Builder httpMethod(String httpMethod)
The HTTP request method. Valid values:
example:This parameter must be specified when TaskType is set to HTTP.
GET
public CreateHostAvailabilityRequest.TaskOption.Builder httpNegative(Boolean httpNegative)
The method to trigger an alert. The alert can be triggered based on whether the specified alert rule is included in the response body. Valid values:
example:This parameter must be specified when TaskType is set to HTTP.
true
public CreateHostAvailabilityRequest.TaskOption.Builder httpPostContent(String httpPostContent)
The content of the HTTP POST request.
example:params1=paramsValue1
public CreateHostAvailabilityRequest.TaskOption.Builder httpResponseCharset(String httpResponseCharset)
The character set that is used in the HTTP response.
example:Only UTF-8 is supported.
UTF-8
public CreateHostAvailabilityRequest.TaskOption.Builder httpResponseMatchContent(String httpResponseMatchContent)
The response to the HTTP request.
example:ok
public CreateHostAvailabilityRequest.TaskOption.Builder httpURI(String httpURI)
The URI that you want to monitor. This parameter is required if the TaskType parameter is set to HTTP or Telnet.
example:public CreateHostAvailabilityRequest.TaskOption.Builder interval(Integer interval)
The interval at which detection requests are sent. Unit: seconds. Valid values: 15, 30, 60, 120, 300, 900, 1800, and 3600.
example:This parameter is available only for the CloudMonitor agent V3.5.1 or later.
60
public CreateHostAvailabilityRequest.TaskOption.Builder telnetOrPingHost(String telnetOrPingHost)
The domain name or IP address that you want to monitor.
example:This parameter is required if the TaskType parameter is set to PING.
public CreateHostAvailabilityRequest.TaskOption build()
Copyright © 2026. All rights reserved.